#
# spec file for package perl-NOCpulse-SetID
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-NOCpulse-SetID
Version:        1.6.11
Release:        1.3
Summary:        Provides api for correctly changing user identity
Url:            https://fedorahosted.org/spacewalk
Source0:        perl-NOCpulse-SetID-git-a0c9a23273b7612bcf292bbfad35d916a6864d06.tar.gz
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
%endif
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package provides API for correctly changing user identity.



%prep
%setup -q -n perl-NOCpulse-SetID-git-a0c9a23273b7612bcf292bbfad35d916a6864d06

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
#this require to be root - skip it
#make test

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%{perl_vendorlib}/NOCpulse/*
%{_mandir}/man3/*
%doc LICENSE

%changelog
* Tue Sep 14 2010 mantel@suse.de
- Initial release of perl-NOCpulse-SetID
